package hu.kozadat.oaiaggregator.persistence;

import hu.kozadat.oaiaggregator.domain.Record;
import hu.kozadat.oaiaggregator.domain.Schema;

import java.util.List;

/**
 * Created by tnagy on 2015.10.14..
 */
public interface KozadatDAO {

    String getEarliestDateString();

    List<Schema> findMetadataSchemas();

    Record findMetadataRecord(String identifier, String metadataPrefix);

    List<Long> findMetadataRecordIds(String metadataPrefix, String fromDate, String untilDate);

    List<Record> findMetadataRecords(List<Long> identifiers);

}
