package hu.kozadat.oaiaggregator.service;

import java.nio.charset.Charset;

/**
 * Created by tnagy on 2015.10.14..
 */
public class StringUtils {

    public static boolean isStringNullOrEmpty(String value) {
        return value == null || "".equals(value.trim());
    }

    public static String parseByteArrayToString(byte[] contentArray) {
        if (contentArray == null) {
            return "";
        }
        Charset utf8 = Charset.forName("UTF-8");
        return new String(contentArray, utf8);
    }

}
